Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_TypeCodeFactory_Adapter Class Reference

TAO_TypeCodeFactory_Adapter. More...

`#include <TypeCodeFactory_Adapter.h>`

Inheritance diagram for TAO_TypeCodeFactory_Adapter:

[legend]
Collaboration diagram for TAO_TypeCodeFactory_Adapter:

[legend]
List of all members.

## Public Methods
virtual | ~TAO_TypeCodeFactory_Adapter (void)
virtual CORBA::TypeCode_ptr | create_struct_tc (const char *id, const char *name, const CORBA_StructMemberSeq &members ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual CORBA::TypeCode_ptr | create_union_tc (const char *id, const char *name, CORBA::TypeCode_ptr discriminator_type, const CORBA_UnionMemberSeq &members ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual CORBA::TypeCode_ptr | create_enum_tc (const char *id, const char *name, const CORBA_EnumMemberSeq &members ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual CORBA::TypeCode_ptr | create_alias_tc (const char *id, const char *name, CORBA::TypeCode_ptr original_type ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual CORBA::TypeCode_ptr | create_exception_tc (const char *id, const char *name, const CORBA_StructMemberSeq &members ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual CORBA::TypeCode_ptr | create_interface_tc (const char *id, const char *name ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual CORBA::TypeCode_ptr | create_string_tc (CORBA::ULong bound ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual CORBA::TypeCode_ptr | create_wstring_tc (CORBA::ULong bound ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual CORBA::TypeCode_ptr | create_fixed_tc (CORBA::UShort digits, CORBA::UShort scale ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual CORBA::TypeCode_ptr | create_sequence_tc (CORBA::ULong bound, CORBA::TypeCode_ptr element_type ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual CORBA::TypeCode_ptr | create_array_tc (CORBA::ULong length, CORBA::TypeCode_ptr element_type ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual CORBA::TypeCode_ptr | create_value_tc (const char *id, const char *name, CORBA::ValueModifier type_modifier, CORBA::TypeCode_ptr concrete_base, const CORBA_ValueMemberSeq &members ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual CORBA::TypeCode_ptr | create_value_box_tc (const char *id, const char *name, CORBA::TypeCode_ptr boxed_type ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual CORBA::TypeCode_ptr | create_native_tc (const char *id, const char *name ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual CORBA::TypeCode_ptr | create_recursive_tc (const char *id ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual CORBA::TypeCode_ptr | create_abstract_interface_tc (const char *id, const char *name ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual CORBA::TypeCode_ptr | create_local_interface_tc (const char *id, const char *name ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)

## Detailed Description

TAO_TypeCodeFactory_Adapter.

Class that adapts the CORBA::ORB create_*_tc functions to use the TypeCodeFactory. This is a base class for the actual implementation in the TypeCodeFactory_DLL library.

## Constructor & Destructor Documentation

TAO_TypeCodeFactory_Adapter::~TAO_TypeCodeFactory_Adapter | ( | void |  | ) | `[virtual]`

## Member Function Documentation

virtual CORBA::TypeCode_ptr TAO_TypeCodeFactory_Adapter::create_abstract_interface_tc | ( | const char * | id,
|  | const char *name | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw (CORBA::SystemException)`[virtual]`

CORBA::TypeCode_ptr TAO_TypeCodeFactory_Adapter::create_alias_tc | ( | const char * | id,
|  | const char * | name,
|  | CORBA::TypeCode_ptr | ACE_ENV_ARG_DECL_NOT_USED
| ) | throw (CORBA::SystemException)`[virtual]`

CORBA::TypeCode_ptr TAO_TypeCodeFactory_Adapter::create_array_tc | ( | CORBA::ULong | length,
|  | CORBA::TypeCode_ptr | ACE_ENV_ARG_DECL_NOT_USED
| ) | throw (CORBA::SystemException)`[virtual]`

virtual CORBA::TypeCode_ptr TAO_TypeCodeFactory_Adapter::create_enum_tc | ( | const char * | id,
|  | const char * | name,
|  | const CORBA_EnumMemberSeq &members | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw (CORBA::SystemException)`[virtual]`

virtual CORBA::TypeCode_ptr TAO_TypeCodeFactory_Adapter::create_exception_tc | ( | const char * | id,
|  | const char * | name,
|  | const CORBA_StructMemberSeq &members | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw (CORBA::SystemException)`[virtual]`

CORBA::TypeCode_ptr TAO_TypeCodeFactory_Adapter::create_fixed_tc | ( | CORBA::UShort | digits,
|  | CORBA::UShort | ACE_ENV_ARG_DECL_NOT_USED
| ) | throw (CORBA::SystemException)`[virtual]`

virtual CORBA::TypeCode_ptr TAO_TypeCodeFactory_Adapter::create_interface_tc | ( | const char * | id,
|  | const char *name | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw (CORBA::SystemException)`[virtual]`

virtual CORBA::TypeCode_ptr TAO_TypeCodeFactory_Adapter::create_local_interface_tc | ( | const char * | id,
|  | const char *name | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw (CORBA::SystemException)`[virtual]`

virtual CORBA::TypeCode_ptr TAO_TypeCodeFactory_Adapter::create_native_tc | ( | const char * | id,
|  | const char *name | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw (CORBA::SystemException)`[virtual]`

virtual CORBA::TypeCode_ptr TAO_TypeCodeFactory_Adapter::create_recursive_tc | ( | const char *id | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw (CORBA::SystemException)`[virtual]`

CORBA::TypeCode_ptr TAO_TypeCodeFactory_Adapter::create_sequence_tc | ( | CORBA::ULong | bound,
|  | CORBA::TypeCode_ptr | ACE_ENV_ARG_DECL_NOT_USED
| ) | throw (CORBA::SystemException)`[virtual]`

CORBA::TypeCode_ptr TAO_TypeCodeFactory_Adapter::create_string_tc | ( | CORBA::ULong | ACE_ENV_ARG_DECL_NOT_USED | ) | throw (CORBA::SystemException)`[virtual]`

virtual CORBA::TypeCode_ptr TAO_TypeCodeFactory_Adapter::create_struct_tc | ( | const char * | id,
|  | const char * | name,
|  | const CORBA_StructMemberSeq &members | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw (CORBA::SystemException)`[virtual]`

virtual CORBA::TypeCode_ptr TAO_TypeCodeFactory_Adapter::create_union_tc | ( | const char * | id,
|  | const char * | name,
|  | CORBA::TypeCode_ptr | discriminator_type,
|  | const CORBA_UnionMemberSeq &members | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw (CORBA::SystemException)`[virtual]`

CORBA::TypeCode_ptr TAO_TypeCodeFactory_Adapter::create_value_box_tc | ( | const char * | id,
|  | const char * | name,
|  | CORBA::TypeCode_ptr | ACE_ENV_ARG_DECL_NOT_USED
| ) | throw (CORBA::SystemException)`[virtual]`

virtual CORBA::TypeCode_ptr TAO_TypeCodeFactory_Adapter::create_value_tc | ( | const char * | id,
|  | const char * | name,
|  | CORBA::ValueModifier | type_modifier,
|  | CORBA::TypeCode_ptr | concrete_base,
|  | const CORBA_ValueMemberSeq &members | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw (CORBA::SystemException)`[virtual]`

CORBA::TypeCode_ptr TAO_TypeCodeFactory_Adapter::create_wstring_tc | ( | CORBA::ULong | ACE_ENV_ARG_DECL_NOT_USED | ) | throw (CORBA::SystemException)`[virtual]`

The documentation for this class was generated from the following files:

- TypeCodeFactory_Adapter.h
- TypeCodeFactory_Adapter.cpp